# ``subvertpy`.`marshall``

module documentation

Marshalling for the svn_ra protocol.

Class | `literal` | A protocol literal.
Exception | `MarshallError` | A Marshall error.
Exception | `NeedMoreData` | More data needed.
Function | `marshall` | Marshall a Python data item.
Function | `unmarshall` | Unmarshall the next item from a buffer.

def marshall(x):

Marshall a Python data item.

:param x: Data item :return: encoded byte string

def unmarshall(x):

Unmarshall the next item from a buffer.

:param x: Bytes to parse :return: tuple with unpacked item and remaining bytes